# card

カードの仕様を決定します。

基本的に`3:4`の`1620x2160`で生成していましたが、`4:5`の`1080x1350`で生成することにしました。これはwindows動画編集が4:5にしか対応していないからです。`.mov`から動画編集で`.mp4`に変換し、それを`.webp`にします。

comfyuiの動画生成はカードの大きさではなかなか思うような動画が作れませんでした。やはり`1920x1080(1080p)`からの生成が最適でした。

- [16:9] 1920x1080 (1080p)
- [16:9] 1280×720 (720p)
- [16:9] 854x480 (480p)
- [4:3] 2160x1620
- [4:3] 1440x1080
- [4:3] 1024×768
- [4:3] 640×480
- [4:5] 2025x1620
- [4:5] 1536x2048
- [4:5] 1080x1350

```bash
$ magick convert -resize 480x -quality 100 4.png 4.webp
$ magick convert -quality 100 1.png 1.webp

$ magick convert -size 1620x2160 xc:white 1080p.png
$ magick convert -resize 1080x -quality 100 1.png 1.webp
```

```sh
$ ffmpeg -i 4.mp4 -vf "fps=15,setpts=PTS/4" -c:v libwebp -loop 1 -quality 100 4.webp
```

## list

<img src="https://git.syui.ai/ai/ai/raw/branch/main/card/1.webp" width="200px">
<img src="https://git.syui.ai/ai/ai/raw/branch/main/card/2.webp" width="200px">
<img src="https://git.syui.ai/ai/ai/raw/branch/main/card/3.webp" width="200px">
<img src="https://git.syui.ai/ai/ai/raw/branch/main/card/4.webp" width="200px">

