case $OSTYPE in
	darwin*)
		day=`gdate --iso-8601=seconds`
		;;
	*)
		day=`date --iso-8601=seconds`
		;;
esac

function get_game_user() {
	rkey=$did.$pds
	pds=bsky.social
	if [ "$1" = "syui" ] || [ "$1" = "ai" ];then
		rkey=$1
	fi
	req=com.atproto.repo.getRecord
	url="https://$pds/xrpc/$req?rkey=$rkey&repo=$did_yui&collection=ai.syui.game"
	curl -sL $url|jq .
}

function delete_game_user() {
	rkey=$2
	if [ -z "$1" ];then
		col=ai.syui.game
	else
		col=$1
	fi
	req=com.atproto.repo.DeleteRecord
	url=https://$pds/xrpc/$req
	repo=$did
	#repo=did:plc:6qyecktefllvenje24fcxnie
	json="{\"collection\":\"$col\", \"rkey\":\"$rkey\", \"repo\":\"$repo\"}"
	echo $json
	curl -sL -X POST -H "Content-Type: application/json" -H "Authorization: Bearer $token" -d $json $url
}

function ue-user() {
	col=ai.syui.game
	rkey=$1
	handle_yui=$handle
	did_yui=$did
	pds=`cat $f|jq -r ".didDoc.service.[].serviceEndpoint"|cut -d / -f 3`
	if [ "$pds" != "syu.is" ];then
		pds=bsky.social
	fi
	version=4
	#rkey=syui
	req=com.atproto.repo.putRecord
	url=https://$pds/xrpc/$req

	cname=dragon

	if [ "$rkey" = "ai" ];then
		cname=$rkey
		gender=none
	fi
	if [ "$rkey" = "syui" ];then
		cname=chinese
		did=$did_syui
		handle=syui.ai
		gender=male
	fi
	if [ "$rkey" = "self" ];then
		cname=manny
		unset did handle gender
		pds=bsky.social
		plc=plc.directory
	fi
	season=1
	group=test
	lv=1
	hp=1
	exp=0
	rare=0
	mode=0
	attack=0
	attack_post=0
	critical=0
	critical_d=0
	card=0
	weapon=0
	coin=0
	count=0

	case $cname in
		ai)
			group=origin
			season=0
			mode=2
			;;
		manny|quinn)
			group=test
			;;
		*)
			group=fantasy
			;;
	esac

json_item="
\"coin\": [{\"id\": 0, \"cp\": 0, \"rare\": 0, \"count\": 0}],
\"card\": [{\"id\": 0, \"cp\": 0, \"rare\": 0, \"count\": 0}],
\"weapon\": [{\"id\": 0, \"cp\": 0, \"rare\": 0, \"count\": 0}]
"

	json="
	{
		\"repo\": \"$handle_yui\",
		\"did\": \"$did_yui\",
		\"collection\": \"$col\",
		\"rkey\": \"$rkey\",
		\"record\": {
			\"version\": $version,
			\"did\": \"$did\",
			\"handle\": \"$handle\",
			\"plc\": \"$plc\",
			\"pds\": \"$pds\",
			\"player\": {
				\"limit\": false,
				\"login\": false,
				\"ten\": 0,
				\"gender\": \"$gender\"
			},
			\"character\": {
				$json
			},
			\"item\": {
				$json_item
			},
			\"createdAt\": \"${created}\",
			\"updatedAt\": \"${created}\"
	}
}"

if echo $json|jq . ;then
	echo y
	read y
	if [ "y" = "$y" ];then
		t=`curl -sL -X POST -H "Content-Type: application/json" -H "Authorization: Bearer $token" -d $json $url`
		echo $t|jq .
		#f=~/ai/ue/json/v${version}_${rkey}.json
		#if [ -f $f ];then
		#	get_game_user $rkey >! $f
		#fi
	fi
fi
}

function ue-system() {
	col=ai.syui.system
	rkey=self
	did=$did
	handle=$handle
	pds=`cat $f|jq -r ".didDoc.service.[].serviceEndpoint"|cut -d / -f 3`
	if [ "$pds" != "syu.is" ];then
		pds=bsky.social
	fi
	version=1
	#rkey=syui
	req=com.atproto.repo.putRecord
	url=https://$pds/xrpc/$req
	imgurl=https://git.syui.ai/ai/ai/raw/branch/main/img/item/card
	json_card=" \"id\": $id, \"name\": \"$name\", \"img\": \"${imgurl}/${id}.webp\""
	json_card=`curl -sL https://git.syui.ai/ai/ai/raw/branch/main/json/card.json|jq ".[]"`
	json_weapon=`curl -sL https://git.syui.ai/ai/ai/raw/branch/main/json/weapon.json|jq ".[]"`
	json_system=`curl -sL https://git.syui.ai/ai/ai/raw/branch/main/json/system.json|jq ".[]"`
	json_character=`curl -sL https://git.syui.ai/ai/ai/raw/branch/main/json/character.json|jq ".[]"`
	json_ability=`curl -sL https://git.syui.ai/ai/ai/raw/branch/main/json/ability.json|jq ".[]"`
	json="
	{
		\"repo\": \"$handle\",
		\"did\": \"$did\",
		\"collection\": \"$col\",
		\"rkey\": \"$rkey\",
		\"record\": {
			\"card\": ${json_card},
			\"weapon\": ${json_weapon},
			\"system\": ${json_system},
			\"character\": ${json_character},
			\"ability\": ${json_ability},
			\"createdAt\": \"${created}\",
			\"updatedAt\": \"${created}\"
	}
}"

if echo $json|jq . ;then
	echo y
	read y
	if [ "y" = "$y" ];then
		t=`curl -sL -X POST -H "Content-Type: application/json" -H "Authorization: Bearer $token" -d $json $url`
		echo $t|jq .
	fi
fi
}
